MONGOC_CLIENT_POOL_POP(3)

NAME
mongoc_client_pool_pop - mongoc_client_pool_pop()

SYNOPSIS

        mongoc_client_t *
        mongoc_client_pool_pop (mongoc_client_pool_t *pool);

Retrieve a mongoc_client_t from the client pool, possibly blocking until one is available.

PARAMETERS

    •   pool: A mongoc_client_pool_t.

RETURNS

A mongoc_client_t.

THREAD SAFETY

This function is safe to call from multiple threads.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc